
%define hal_version  0.5.6
%define dbus_version 0.60

Summary: GNOME Power Manager
Name: gnome-power-manager
Version: 2.16.3
Release: 1%{?dist}
License: GPL
Group: Applications/System
Source: gnome-power-manager-%{version}.tar.bz2
Patch0: gnome-power-manager-2.15.4-nodefaultbeep.patch
Patch1: gnome-power-manager-2.15.92-mnemonics.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=356150
Patch2: gnome-power-manager-2.16.0-tray-icon.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://gnome-power.sourceforge.net/
BuildPrereq: libgnomeui-devel
BuildPrereq: libglade2-devel
BuildPrereq: libwnck-devel
BuildPrereq: hal-devel >= %{hal_version}
BuildPrereq: dbus-devel >= %{dbus_version}
BuildPrereq: libnotify-devel
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: cairo-devel
BuildRequires: perl-XML-Parser
Requires: gnome-icon-theme
Requires: hal >= %{hal_version}
Requires: dbus-glib >= %{dbus_version}
Requires: dbus-x11 >= %{dbus_version}
Requires(post): scrollkeeper
Requires(post): GConf2
Requires(preun): GConf2
Requires(postun): scrollkeeper

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%prep
%setup -q
%patch0 -p1 -b .nodefaultbeep
%patch1 -p1 -b .mnemonics
%patch2 -p1 -b .tray-icon

%build
%configure \
	--disable-scrollkeeper \
	--disable-actions-menu \
	--disable-icon-framing \
        --disable-policykit
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/gnome/autostart         \
  $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/gnome-power-manager.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/gnome-power-manager/*
%{_datadir}/man/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/dbus-1/system.d/gnome-power-manager.conf
%{_datadir}/dbus-1/services/gnome-power-manager.service
%{_datadir}/gnome/help/gnome-power-manager/*
%{_datadir}/omf/gnome-power-manager/*
%{_datadir}/gnome/autostart/*
%{_datadir}/applications/gnome-power-preferences.desktop
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Jan 31 2007 Matthias Clasen <mclasen@redhat.com> - 2.16.3-1
- Update to 2.16.3
- Drop upstreamed patch

* Mon Nov 27 2006 Ray Strode <rstrode@redhat.com> - 2.16.0-4.fc6
- fix screensaver from going blank even when configured to show
  a screensaver (bug 216045)

* Wed Oct  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-3
- Don't install a broken symlink (#208399)

* Fri Sep 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-2.fc6
- Make the tray icon re-embed into the tray after a panel crash

* Sun Sep  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Sun Aug 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-2.fc6
- Wire up preferences in gnome-power-preferences (#203949)
- Add BR for perl-XML-Parser

* Sun Aug 20 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.92-1.fc6
- Update to 2.15.92

* Tue Aug 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-2.fc6
- Fix a double free in the smartcart code

* Sun Aug 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.91-1.fc6
- Update to 2.15.91

* Tue Aug  8 2006 Peter Jones <pjones@redhat.com> - 2.15.4-3
- Don't beep by default, since there's no UI to turn it off.

* Tue Jul 18 2006 Ray Strode <rstrode@redhat.com> - 2.15.3-2
- explicitly disable policykit since we don't ship it

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Fri Jun  9 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-3
- Drop unfounded gnome-mime-data dependency
- Add missing BuildRequires

* Mon May 22 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-2
- Rebuild

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 2.15.2-1
- Update to upstream version 2.15.2

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 2.15.1-3
- Add BR for desktop-file-utils

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 2.15.1-1.1
- bump and rebuild

* Tue Apr 25 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Fri Apr  7 2006 Ray Strode <rstrode@redhat.com> - 2.15.0-1
- update to 2.15.0 to get the cool new runtime analysis
  graphs.

* Mon Mar 27 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-2
- use blank screensaver when lid is closed instead of
  of turning off screensaver completly (bug 186849).

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-4
- fix the fix in -2 and -3

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-3
- fix the fix in -2

* Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-2
- fix icon in bubbles (bug 184192). 

* Fri Mar  3 2006 Ray Strode <rstrode@redhat.com> - 2.13.93-1
- Update to 2.13.93
- ignore d-bus timeout errors

* Thu Mar  2 2006 Ray Strode <rstrode@redhat.com> - 2.13.92-3
- Add patch from Richard Hughes to potentially fix a
  crasher bug (bug 183127)

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2
- Buildrequires: gnome-doc-utils

* Sun Feb 26 2006 Ray Strode <rstrode@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Tue Feb 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91
- Drop upstreamed patch

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90
- Require dbus-x11 (#176656)

* Sun Feb 13 2006 Ray Strode <rstrode@redhat.com> - 2.13.5.0.20060207-2
- remove Hibernate and Suspend from menus as part of
  panel/g-p-m integration effort

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5.0.20060207-1.1
- bump again for double-long bug on ppc(64)

* Tue Feb  7 2006 Ray Strode <rstrode@redhat.com> - 2.13.5.0.20060207-1
- pull cvs snapshot from HEAD and drop the patches caillon
  just added

* Tue Feb  7 2006 Christopher Aillon <caillon@redhat.com> - 2.13.5-3
- Install into the autostart directory
- Don't suspend on lid close while on AC power

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.5-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-2
- rebuild 

* Thu Jan 26 2006 Ray Strode <rstrode@redhat.com> - 2.13.5-1
- packaging tweaks

* Thu Jan 26 2006 Christopher Aillon <caillon@redhat.com> 2.13.5-1
- Update to 2.13.5

* Tue Jan 24 2006 Christopher Aillon <caillon@redhat.com> - 0.3.4-2
- Left clicking on the applet should bring up the menu

* Tue Jan 17 2006 Ray Strode <rstrode@redhat.com> - 0.3.4-1
- update to 0.3.4
- disable updating scrollkeeper database in buildroot
  (move to %%post)

* Fri Jan  6 2006 Jeremy Katz <katzj@redhat.com> - 0.3.3-0.cvs.20060106
- update to a cvs snap so that it works with hal cvs snap
- make sure we use libnotify

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.3.1-2.1
- rebuilt

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.3.1-2
- rebuild for new dbus

* Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Nov 25 2005 Christopher Aillon <caillon@redhat.com> 0.3.0-1
- Update to 0.3.0

* Wed Oct 19 2005 Ray Strode <rstrode@redhat.com> 0.2.8-1
- update to 0.2.8

* Wed Oct  3 2005 Ray Strode <rstrode@redhat.com> 0.2.6-1
- update to 0.2.6

* Wed Sep 28 2005 Ray Strode <rstrode@redhat.com> 0.2.4-1
- update to 0.2.4

* Fri Sep 02 2005 David Zeuthen <davidz@redhat.com> 0.2.3.1-1
- Initial import based on an SRPM from Richard Hughes

